noquote {base} | R Documentation

## Class for ``no quote'' Printing of Strings

### Description

These functions exist both as utilities and as an example of using `class` and object orientation.

### Usage

    noquote(obj)
    print.noquote(x, ...)
    obj[j]

### Arguments

`obj, x` | any R object; typically a vector of `character` strings.
`...` | further options for `print`.

### Value

`noquote` returns its argument as an object of class `"noquote"`. The function `"[.noquote"` ensures that the class is not lost by subsetting.
For (default) printing, `print.noquote` will be used which prints characters without quotes (`"..."`).

### Author(s)

Martin Maechler maechler@stat.math.ethz.ch

### See Also

`methods`, `class`, `print`.

### Examples

    letters
    nql <- noquote(letters)
    nql
    nql[1:4] <- "oh"
    nql[1:12]

    cmp.logical <- function(log.v)
    {
      ## Purpose: compact printing of logicals
      log.v <- as.logical(log.v)
      noquote(if(length(log.v)==0)"()" else c(".","|")[1+log.v])
    }
    cmp.logical(runif(20) > 0.8)

[Package Contents]